curl --request POST \
--url https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"secret": "<string>",
"secretShownOnce": true
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}Rotate webhook secret
curl --request POST \
--url https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tetrafi.io/api/v1/workspaces/{workspaceId}/webhooks/{webhookId}/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"secret": "<string>",
"secretShownOnce": true
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}{
"docUrl": "<string>",
"error": "<string>",
"message": "<string>",
"retryable": true,
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"capabilityBlockers": [
{
"code": "WORKSPACE_NOT_FOUND",
"estimate": "minutes",
"message": "<string>",
"unlockStep": "finishOnboarding",
"currentlyDue": [
"<string>"
]
}
],
"conflicts": [
"<string>"
],
"consentedWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"currentWindow": {
"cadence": {
"dayBasis": "calendarDays",
"kind": "intraday",
"everyHours": 1,
"localTimes": [
"<string>"
]
},
"scheduleId": "<string>",
"scheduleLabel": "<string>",
"scheduleVersion": 123,
"snapshotAt": "2023-11-07T05:31:56Z",
"windowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assumedBoundary": {
"lpName": "<string>",
"source": "<string>",
"timeZone": "<string>"
},
"cutoffAt": "2023-11-07T05:31:56Z",
"paymentDeadlineAt": "2023-11-07T05:31:56Z",
"settlementBasis": "clock",
"settlesBy": "2023-11-07T05:31:56Z",
"statementIssuer": "<string>"
},
"field": "<string>",
"reason": "clockUnavailable",
"remediation": "<string>",
"retryAfter": "PT120S",
"value": "<string>"
},
"next": {
"kind": "order"
},
"requestId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace the request acts in. An API key bound to a workspace implies it: omit the header, or send that same id (another id answers 403 WORKSPACE_SCOPE_MISMATCH). A member session must send it (400 MISSING_WORKSPACE without it).
Required for every caller (1 to 255 bytes; missing or empty is 400 IDEMPOTENCY_KEY_REQUIRED). The same key within 24 hours replays the stored 200 without rotating again: secret is null and secretShownOnce true. A new key rotates again. Reuse with a different request is 409 IDEMPOTENCY_CONFLICT.
Response
Secret rotated, or stored rotation replayed (secret null on replay)
Response after rotating a webhook secret: the new whsec_<base64> secret, shown once.
The previous key keeps signing for 24 hours: webhook-signature then contains two
space-separated v1,<base64> signatures. A Standard Webhooks verifier accepts either.